Package uk.ac.starlink.topcat.plot2

## Interface LayerControl

- All Superinterfaces:
    `Control`
  All Known Implementing Classes:
    `BasicCoordLayerControl`, `DatalessLayerControl`, `FormLayerControl`, `FunctionLayerControl`, `HealpixLayerControl`, `MultiFormLayerControl`, `SingleFormLayerControl`, `SpectrogramLayerControl`

      public interface LayerControl
      extends Control

  Control subinterface for controls that can contribute PlotLayers to the plot.
  Since:
    13 Mar 2013
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCoordLabel​(java.lang.String userCoordName)` | Returns a text label associated with one of the user coords for this control, typically the name of the column or expression supplying the data.
    `TopcatLayer[]` | `getLayers()` | Returns the layers contributed by this control.
    `uk.ac.starlink.ttools.plot2.LegendEntry[]` | `getLegendEntries()` | Returns legend entries associated with this control.
    `uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId>` | `getZoneSpecifier()` | Returns a specifier that determines which zone of a multi-zone plot this control's layers will be displayed in.
    `void` | `submitReports​(java.util.Map<LayerId,uk.ac.starlink.ttools.plot2.ReportMap> reports)` | Accepts report information generated by plotting layers.

    - ### Methods inherited from interface uk.ac.starlink.topcat.plot2.Control

      `addActionListener, getControlIcon, getControlLabel, getPanel, removeActionListener`

- - ### Method Detail

    - #### getLayers

          TopcatLayer[] getLayers()

      Returns the layers contributed by this control.
      Returns:
        layers

    - #### getLegendEntries

          uk.ac.starlink.ttools.plot2.LegendEntry[] getLegendEntries()

      Returns legend entries associated with this control.
      Returns:
        legend entries

    - #### submitReports

          void submitReports​(java.util.Map<LayerId,uk.ac.starlink.ttools.plot2.ReportMap> reports)

      Accepts report information generated by plotting layers. The submitted map may contain entries unrelated to this layer. Null map values are permitted, with the same meaning as an empty map.
      Parameters:
        `reports` - per-layer plot reports for layers generated on behalf of this and possibly other controls

    - #### getCoordLabel

          java.lang.String getCoordLabel​(java.lang.String userCoordName)

      Returns a text label associated with one of the user coords for this control, typically the name of the column or expression supplying the data. Null may be returned if there's no good answer.
      Parameters:
        `userCoordName` - name of one of the user value infos of an input coord for this control
      Returns:
        text label associated with user coordinate

    - #### getZoneSpecifier

          uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> getZoneSpecifier()

      Returns a specifier that determines which zone of a multi-zone plot this control's layers will be displayed in. If this control is known to be used in a single-zone context, null should be returned.
      Returns:
        zone id specifier, or null

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.